package com.zoo.entity;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author DJ
 * @since 2024-06-07
 */
public class Archive implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 档案号
     */
    private Integer id;

    /**
     * 动物id
     */
    private Integer animallId;

    /**
     * 动物名称
     */
    private String animalName;

    /**
     * 生命阶段
     */
    private String phase;

    /**
     * 状态 0 正常 1不正常
     */
    private Integer state;

    /**
     * 档案类型
     */
    private String type;

    /**
     * 记录日期
     */
    private String date;

    /**
     * 记录时间
     */
    private String time;

    /**
     * 录入人id
     */
    private Integer roleId;

    /**
     * 描述
     */
    private String description;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getAnimallId() {
        return animallId;
    }

    public void setAnimallId(Integer animallId) {
        this.animallId = animallId;
    }
    public String getAnimalName() {
        return animalName;
    }

    public void setAnimalName(String animalName) {
        this.animalName = animalName;
    }
    public String getPhase() {
        return phase;
    }

    public void setPhase(String phase) {
        this.phase = phase;
    }
    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }
    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return "Archive{" +
                "id=" + id +
                ", animallId=" + animallId +
                ", animalName=" + animalName +
                ", phase=" + phase +
                ", state=" + state +
                ", type=" + type +
                ", date=" + date +
                ", time=" + time +
                ", roleId=" + roleId +
                ", description=" + description +
                "}";
    }
}

